### Hierarchy

- OAuthOptions

## Index

### Properties

- body_hash
- callback
- consumer_key
- consumer_secret
- token
- token_secret
- transport_method
- verifier

## Properties

### Optional body_hash

body_hash: true | string

- Defined in node_modules/@types/request/index.d.ts:363

### Optional callback

callback: undefined | string

- Defined in node_modules/@types/request/index.d.ts:356

### Optional consumer_key

consumer_key: undefined | string

- Defined in node_modules/@types/request/index.d.ts:357

### Optional consumer_secret

consumer_secret: undefined | string

- Defined in node_modules/@types/request/index.d.ts:358

### Optional token

token: undefined | string

- Defined in node_modules/@types/request/index.d.ts:359

### Optional token_secret

token_secret: undefined | string

- Defined in node_modules/@types/request/index.d.ts:360

### Optional transport_method

transport_method: "body" | "header" | "query"

- Defined in node_modules/@types/request/index.d.ts:361

### Optional verifier

verifier: undefined | string

- Defined in node_modules/@types/request/index.d.ts:362

Generated using TypeDoc